Summary: A toolkit for RTMP streams
Name: rtmpdump
Version: 2.4
Release: 3%{?dist}
License: GPLv2
Group: System Environment/Libraries
URL: http://rtmpdump.mplayerhq.hu/
Source0: http://rtmpdump.mplayerhq.hu/download/rtmpdump-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
#BuildRequires:  openssl-devel
BuildRequires:  gnutls-devel
BuildRequires:  libgcrypt-devel
%if 0%{?fedora} > 20 || 0%{?rhel} > 6
BuildRequires:  nettle-devel
BuildRequires:  zlib-devel
%endif

%description
rtmpdump is a toolkit for RTMP streams. All forms of RTMP are
supported, including rtmp://, rtmpt://, rtmpe://, rtmpte://, and
rtmps://.

%package -n librtmp
Summary:        Support library for RTMP streams
Group:          Applications/Internet
License:        LGPLv2+

%description -n librtmp
librtmp is a support library for RTMP streams. All forms of RTMP are supported,
including rtmp://, rtmpt://, rtmpe://, rtmpte://, and rtmps://.

%package -n librtmp-devel
Summary:        Files for librtmp development
Group:          Applications/Internet
License:        LGPLv2+
Requires:       librtmp%{?_isa} = %{version}-%{release}

%description -n librtmp-devel
librtmp is a support library for RTMP streams. The librtmp-devel package
contains include files needed to develop applications using librtmp.

%prep
%setup -q

%build
%if 0%{?fedora} > 20 || 0%{?rhel} > 6
make SYS=posix CRYPTO=GNUTLS SHARED=yes OPT="%{optflags}" LIB_GNUTLS="-lgnutls -lgcrypt -ldl -lz"
%else
make SYS=posix CRYPTO=GNUTLS SHARED=yes OPT="%{optflags}" LIB_GNUTLS="-lgnutls -lgcrypt -ldl"
%endif

%install
rm -rf %{buildroot}
make install \
  bindir=%{_bindir} \
  sbindir=%{_sbindir} \
  mandir=%{_mandir} \
  incdir=%{_includedir}/librtmp \
  libdir=%{_libdir} \
  DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/librtmp.a

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/rtmpdump
%{_sbindir}/rtmpgw
%{_sbindir}/rtmpsrv
%{_sbindir}/rtmpsuck
%{_mandir}/man1/rtmpdump.1*
%{_mandir}/man8/rtmpgw.8*

%files -n librtmp
%doc librtmp/COPYING
%{_libdir}/librtmp.so.1

%files -n librtmp-devel
%{_includedir}/librtmp/
%{_libdir}/librtmp.so
%{_libdir}/pkgconfig/librtmp.pc
%{_mandir}/man3/librtmp.3*
%doc ChangeLog


%changelog
* Wed Apr 11 2018 Stephen Collier <stephenbcollier@gmail.com> - 2.4-3
- upgrade to 2.4 for f28 build

* Tue Jul 11 2017 Stephen Collier <stephenbcollier@gmail.com> - 2.4-1
- upgrade to 2.4

* Mon Mar 14 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.3-1
- Initial build.

